//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine science & computing) 
// September 2001
//
#include <OdfIcd.h>
#include <iostream>
#include <cassert>

int main() {

  using namespace OdfIcd;

  std::string n = hkname(10, 01341201011, Xmm::RGS1,
			 Xmm::HBR_BUFFER_HOUSEKEEPING);
  std::cout << n << std::endl;

  assert( n == "0010_0193266185_R1X00000HBH.FIT" );


}
